Bug 75462 - ps2ascii broken for simple ps & pdf files
ps2ascii broken for simple ps & pdf files
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 15:55 EDT by Peter L. Hurd
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter L. Hurd 2002-10-08 15:55:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
ps2ascii broken

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.echo "\documentclass{article}\begin{document}Hello World\end{document}" >
hello.tex
2.latex hello ; dvips hello -o hello.ps ; ps2pdf hello.ps
3.ps2ascii hello.ps ; ps2ascii hello.pdf
	

Actual Results:  [pete@madrone pete]$ ps2ascii hello.ps
Error: /undefined in ch-xoff
Operand stack:
   --nostringval--   --nostringval--   --nostringval--   --nostringval--   0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   2   3   %oparray_pop   2   3  
%oparray_pop   2   3
%oparray_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--
 2   %stopped_push   --nostringval--   --nostringval--   --nostringval--  
--nostringval--
Dictionary stack:
   --dict:1106/1123(ro)(G)--   --dict:0/20(G)--   --dict:92/200(L)--  
--dict:94/300(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 4371
GNU Ghostscript 7.05: Unrecoverable error, exit code 1
[pete@madrone pete]$ ps2ascii hello.pdf


\Gamma \Theta \Delta \Xi \Lambda \Pi \Lambda \Upsilon \Sigma \Psi \Phi \Omega
\Sigma fifffl\Lambda fflffi

i [pete@madrone pete]$

Expected Results:  I should see "Hello World"

Additional info:

<rant>Spent two hours doing a wordcount by hand on a manuscript.
can't get dvi2tty or dvitty to compile on RH8 either.</rant>
Comment 1 Alex Cherepanov 2002-10-14 12:28:39 EDT
This is a known problem.
ps2ascii has special code to get better results from TeX files
but the code suffers from byte rot. Fixing this will take about
1 man-day .
Comment 2 Bill Nottingham 2006-08-07 14:55:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:19:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.